<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateWhatsappSupportRolePermissionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $sql = [
            ['id' => 300, 'module_id' => 301, 'parent_id' => null, 'name' => 'Whatsapp Support', 'route' => 'whatsapp-support.settings', 'type' => 1],
            ['id' => 301, 'module_id' => 301, 'parent_id' => 300, 'name' => 'Settings', 'route' => 'whatsapp-support.settings', 'type' => 2],
            ['id' => 302, 'module_id' => 301, 'parent_id' => 300, 'name' => 'Agents', 'route' => 'whatsapp-support.agents', 'type' => 2],
            ['id' => 303, 'module_id' => 301, 'parent_id' => 300, 'name' => 'Analytics', 'route' => 'whatsapp-support.analytics', 'type' => 2]
        ];

        if (Schema::hasTable('permissions')){
            foreach ($sql as $query){
                $exist = \DB::table('permissions')->where('id', $query['id'])->exists();
                if (!$exist){
                    \DB::table('permissions')->insert($query);
                }
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $sql = [
            ['id' => 300, 'module_id' => 300, 'parent_id' => null, 'name' => 'Whatsapp Support', 'route' => 'whatsapp-support.settings', 'type' => 1],
            ['id' => 301, 'module_id' => 300, 'parent_id' => 300, 'name' => 'Settings', 'route' => 'whatsapp-support.settings', 'type' => 2],
            ['id' => 302, 'module_id' => 300, 'parent_id' => 300, 'name' => 'Agents', 'route' => 'whatsapp-support.agents', 'type' => 2],
            ['id' => 303, 'module_id' => 300, 'parent_id' => 300, 'name' => 'Analytics', 'route' => 'whatsapp-support.analytics', 'type' => 2]
        ];

        if (Schema::hasTable('permissions')){
            foreach ($sql as $query){
                $exist = \DB::table('permissions')->where('id', $query['id'])->exists();
                if ($exist){
                    \DB::table('permissions')->where('id', $query['id'])->delete();
                }
            }
        }
    }
}
