<?php

namespace Modules\WhatsappSupport\Entities;

use App\Traits\Tenantable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Modules\WhatsappSupport\Database\factories\SettingsFactory;

class Agents extends Model
{
    use Tenantable;
    protected $guarded = [];

    protected $table = 'whatsapp_support_agents';

    protected static function newFactory()
    {
        return SettingsFactory::new();
    }

    public function times()
    {
        return $this->hasMany(AgentTime::class,'agent_id','id');
    }

    public function isAvailable()
    {
        if ($this->always_available) return true;

        if ($this->times->where('day', now()->dayName)->first()){
            $row = $this->times->where('day', now()->dayName)->first();
            return $row->start_time_str < strtotime(now()->format('H:s:i')) && $row->end_time_str > strtotime(now()->format('H:s:i'));
        }

        return false;

    }
}
