<?php

namespace Modules\WhatsappSupport\Http\Controllers;

use Brian2694\Toastr\Facades\Toastr;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\WhatsappSupport\Entities\Settings;
use Modules\WhatsappSupport\Traits\ImageStore;

class SettingsController extends Controller
{
    use ImageStore;
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function index()
    {
        $settings = Settings::first();
        return view('whatsappsupport::settings.index', compact('settings'));
    }

    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function create()
    {
        return view('whatsappsupport::create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function store(Request $request)
    {
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function show($id)
    {
        return view('whatsappsupport::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function edit($id)
    {
        return view('whatsappsupport::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Renderable
     */
    public function update(Request $request)
    {
        if ($request->has('bubble_pic')){
            $fav = $this->saveAvatarImage($request->bubble_pic);
            $request['bubble_logo'] = $fav;
        }

        Settings::first()->update($request->except('_token','bubble_pic'));
        Toastr::success('Setting Updated!', 'Success');
        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Renderable
     */
    public function destroy($id)
    {
    }
}
