@extends('backend.master')
@section('mainContent')
    <section class="admin-visitor-area up_st_admin_visitor">
        <div class="container-fluid p-0">
            <div class="row justify-content-center">
                <div class="col-12">
                    @include('whatsappsupport::partials._flash')
                    <div class="">
                        <div class="row">
                            <div class="col-lg-12 mt-4">
                                <div class="white_box_30px">
                                    <!-- SMTP form  -->
                                    <div class="main-title mb-25">
                                        <h3 class="mb-3">{{ __('whatsappsupport::general.create_agent') }}</h3>
                                    </div>

                                    <form action="{{ route('whatsapp-support.agents.store') }}" method=POST enctype=multipart/form-data>
                                        @csrf
                                        <div class="row" id="pusher">

                                            <div class="col-xl-6 mt-4">
                                                <div class="primary_input mb-25">
                                                    <label class="primary_input_label" for="">{{ __('whatsappsupport::general.name') }} *</label>
                                                    <input class="primary_input_field" name="name" type="text" required>
                                                </div>
                                            </div>

                                            <div class="col-xl-6 mt-4">
                                                <div class="primary_input mb-25">
                                                    <label class="primary_input_label" for="">{{ __('whatsappsupport::general.designation') }} *</label>
                                                    <input class="primary_input_field" name="designation" type="text" required>
                                                </div>
                                            </div>

                                            <div class="col-xl-6 mt-4">
                                                <div class="primary_input mb-25">
                                                    <label class="primary_input_label" for="">{{ __('whatsappsupport::general.number') }} * (<small class="text-danger">{{ __('whatsappsupport::general.with_country_code') }}</small>)</label>
                                                    <input class="primary_input_field" name="number" type="text" required placeholder="{{ __('whatsappsupport::general.with_country_code') }}..">
                                                </div>
                                            </div>

                                            <div class="col-xl-6 mt-4">
                                                <div class="primary_input mb-25">
                                                    <label class="primary_input_label" for="">{{ __('whatsappsupport::general.avatar') }} </label>

                                                    <div class="primary_file_uploader">
                                                        <input class="primary-input" type="text" id="php_file_input_ph" placeholder="{{ __('whatsappsupport::general.browse_avatar') }}" readonly="">
                                                        <button class="" type="button">
                                                            <label class="primary-btn small fix-gr-bg" for="php_file_input"><span class="ripple rippleEffect" style="width: 56.8125px; height: 56.8125px; top: -21.4062px; left: 31.4219px;"></span>Browse</label>
                                                            <input name="avatar" type="file" class="d-none" id="php_file_input">
                                                        </button>
                                                    </div>

                                                </div>
                                            </div>

                                            <div class="col-xl-6 mt-4">
                                                <p class="primary_input_label">{{ __('whatsappsupport::general.status') }} *</p>
                                                <div class="d-flex radio-btn-flex">
                                                    <div class="mr-20">
                                                        <input type="radio" checked name="status" required id="relationFather3" value="1" class="common-radio relationButton">
                                                        <label for="relationFather3">{{ __('whatsappsupport::general.active') }}</label>
                                                    </div>
                                                    <div class="mr-20">
                                                        <input type="radio" name="status" id="relationMother4" value="0" class="common-radio relationButton">
                                                        <label for="relationMother4">{{ __('whatsappsupport::general.inactive') }}</label>
                                                    </div>
                                                    @error('status') <small class="text-danger font-italic">*{{ $message }}</small> @enderror
                                                </div>
                                            </div>

                                            <div class="col-xl-6 mt-4">
                                                <p class="primary_input_label">{{ __('whatsappsupport::general.always_available') }} *</p>
                                                <div class="d-flex radio-btn-flex">
                                                    <div class="mr-20">
                                                        <input type="radio" name="always_available" required id="relationFather33333" value="1" class="common-radio relationButton" checked>
                                                        <label for="relationFather33333">{{ __('whatsappsupport::general.yes') }}</label>
                                                    </div>
                                                    <div class="mr-20">
                                                        <input type="radio" name="always_available" id="relationMother4433" value="0" class="common-radio relationButton">
                                                        <label for="relationMother4433">{{ __('whatsappsupport::general.no') }}</label>
                                                    </div>
                                                    @error('always_available') <small class="text-danger font-italic">*{{ $message }}</small> @enderror
                                                </div>
                                            </div>

                                            <div class="col-xl-6 mt-4">
                                                <h4>Time : </h4>
                                                @foreach(\Carbon\Carbon::getDays() as $index => $day)
                                                    <div class="row no-gutters input-right-icon mt-25">
                                                    <div class="col-md-3">
                                                        <div class="input-effect">
                                                            <input type="checkbox" id="isBreak{{ $index }}" class="common-checkbox read-only-input" value="{{$day}}" name="day[]">
                                                            <label for="isBreak{{ $index }}">{{ $day }}</label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="col">
                                                            <div class="input-effect">
                                                                <input id="agent_start{{$index}}" class="primary-input time form-control has-content" type="text" name="start[]">
                                                                <label>Start Time</label>
                                                                <span class="focus-border"></span>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <button class="" type="button">
                                                                <i class="ti-timer"></i>
                                                            </button>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="col">
                                                            <div class="input-effect">
                                                                <input id="agent_end{{$index}}" class="primary-input time form-control has-content" type="text" name="end[]">
                                                                <label>End Time</label>
                                                                <span class="focus-border"></span>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <button class="" type="button">
                                                                <i class="ti-timer"></i>
                                                            </button>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        @if($index == 0)
                                                            <p onclick="setTimeToAll()" class="primary-btn radius_30px fix-gr-bg ml-3">Apply All Days</p>
                                                        @endif
                                                    </div>
                                                </div>
                                                @endforeach
                                            </div>
                                        </div>
                                        <button class="primary-btn radius_30px fix-gr-bg mt-4"><i class="ti-check"></i>{{ __('whatsappsupport::general.update') }}</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
